Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ContainerClass

    java.lang.Object
      com.compoze.collab.ItemClass
          com.compoze.collab.ContainerClass

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RootContainerClass

public class ContainerClass
extends ItemClass
implements java.io.Serializable

Defines the class of a `Container` through an extension of `ItemClass`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.collab.ItemClass
`m_defaultKeys, m_javaClass, m_sContainingItemClass, m_sInternalName, m_sItemClassParent`

Method Summary
`static ItemClass` | `create(com.compoze.collab.spi.Context context, java.lang.String sInternalName, Key[] defaultKeys, java.lang.Class javaClass, java.lang.String sContainingItemClass, java.lang.String sItemClassParent)`
`static ContainerClass` | `create(java.lang.String sInternalName, Key[] defaultKeys, java.lang.Class javaClass, ItemClass defaultItemClass, java.lang.String sContainingItemClass, java.lang.String sItemClassParent)` Creates an ContainerClass, given its name and properties, or returns an existing ContainerClass if one has already been created with the same name and properties.
`ItemClass` | `getDefaultItemClass()` Get the default item class for this container class.
`Key[]` | `getMinimumKeys()` Gets the minimum set of keys for this class.
`java.lang.String` | `toString()`

Methods inherited from class com.compoze.collab.ItemClass
`checkForDuplicates, create, equals, getContainingItemClass, getDefaultKeys, getInternalName, getItemClassParent, getJavaClass, hashCode, isDefaultKey, isInstanceOf, lookupItemClass`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static ContainerClass create(java.lang.String sInternalName,
                                        Key[] defaultKeys,
                                        java.lang.Class javaClass,
                                        ItemClass defaultItemClass,
                                        java.lang.String sContainingItemClass,
                                        java.lang.String sItemClassParent)
                                 throws CollaborationException

  Creates an ContainerClass, given its name and properties, or returns an existing ContainerClass if one has already been created with the same name and properties.

  Parameters:
    `sInternalName` - unique internal name for this class (not `null`)
    `defaultKeys` - array of class specific default keys; `null` means none, but the minimum keys should be included in the default keys
    `javaClass` - Java class representing this class; must implement `IContainer` (not `null`)
    `defaultItemClass` - the default `ItemClass` to create in containers of this class
    `sContainingItemClass` - the internal name of the item class of containers of this item (may be `null` if the item has no logical container, such as a root container)
    `sItemClassParent` - the internal name of the parent item class that this item class extends.
  Throws:
    `CollaborationException`

### getDefaultItemClass

    public ItemClass getDefaultItemClass()

  Get the default item class for this container class.

  Returns:
    an ItemClass representing the default

### create

    public static ItemClass create(com.compoze.collab.spi.Context context,
                                   java.lang.String sInternalName,
                                   Key[] defaultKeys,
                                   java.lang.Class javaClass,
                                   java.lang.String sContainingItemClass,
                                   java.lang.String sItemClassParent)
                            throws CollaborationException

  Throws:
    `CollaborationException`

### getMinimumKeys

    public Key[] getMinimumKeys()

  Gets the minimum set of keys for this class.

  Overrides:
    `getMinimumKeys` in class `ItemClass`
  Returns:
    an array containing the minimum keys

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ItemClass`
  Returns:
    the string
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.